Subject: Re: Cant get wu-ftpd to log commands

From: "P. Kearney III" <[email-masked]>
Date: Wed, 18 Jun 1997 20:08:20 -0400

On Wed, Jun 18, 1997 at 10:22:33 AM, Ralph Blach <[email-masked]> wrote:

> Hi, 
>  
> I am running wuftpd and am trying to get it to do command logging an an 
> AIX 4.1.5 system. 
>  
> I have the following ftp access file. 
>  
> log commands    real,guest,anonymous 
> log transfers   guest,anonymous inbound,outbound 
>  
> I have the following commands in my inetd.conf 
>  
> ftp     stream  tcp     nowait  root    /etc/ftpd         ftpd -a -L 
>  
> I also have the following line in my syslog.conf 
>  
> *.* /local/logs/ftpd.log 
> /local/lib/ftpd> ls -l /local/logs/ftpd.log 
>  
> and ls -l of gives 
>  
>  ls -l /local/logs/ftpd.log 
> -rw-rw-rw-   1 root     bin            0 Jun 17 14:33 
> /local/logs/ftpd.log 
>  
> Does anybod have any ideas?? 
>  
> yes I did a refresh -s syslogd 
>  
> Chip 

In ./src/config.h (not the one at the root of the wu-ftpd hierarchy), you will 
see:

#ifndef FACILITY
#define FACILITY LOG_DAEMON
#endif

This is telling it to log stuff to syslog.daemon.  

What I did was add a line to /etc/syslog.conf:

local0.debug    /var/adm/syslog.ftp

Then I added the following lines in ./config.h (not the one in ./src):

/* 
 * Logging normally goes to syslog.daemon, but we want it to go to
 * local0 because we setup local0 to be /var/adm/syslog.ftp in our
 * syslog.conf
 */

#undef FACILITY
#define FACILITY LOG_LOCAL0

Now all of my ftpd logging goes to /var/adm/syslog.ftp.

Hope that helps.

-phil

----------------------------------------------------------------------------
Philip Kearney III                mailto:[email-masked] 
Sr. Software Engineer             mailto:[email-masked]
System Administrator              finger [email-masked] for my PGP key
Ascend Communications, Inc.       
Client Software Engineering Group             
----------------------------------------------------------------------------